Arbor 3: FSM & BT Graph Editor 3.6.0

Public Member Functions | Properties | List of all members
AnyParameterReference Class Reference

型を指定するパラメータ参照。 More...

Inheritance diagram for AnyParameterReference:

## Public Member Functions
| AnyParameterReference ()
| AnyParameterReferenceの作成。 More...
| AnyParameterReference (System.Type parameterType)
| AnyParameterReferenceの作成。 More...
| AnyParameterReference (ParameterReference parameterReference)
| AnyParameterReferenceの作成。 More...
bool | SetVariable< TVariable > (TVariable value)
| Variableの値を設定 More...
TVariable | GetVariable< TVariable > (TVariable defaultValue=default(TVariable))
| Variableの値を取得 More...

## Properties
System.Type | parameterType`[get, set]`
| パラメータの型 More...
int | intValue`[get, set]`
| Int型の値。 More...
long | longValue`[get, set]`
| Long型の値。 More...
float | floatValue`[get, set]`
| Float型の値。 More...
bool | boolValue`[get, set]`
| Bool型の値。 More...
int | enumIntValue`[get, set]`
| Enum型のint値。 More...
System.Enum | enumValue`[get, set]`
| Enum型の値。 More...
Vector2 | vector2Value`[get, set]`
| Vector2型の値。 More...
Vector3 | vector3Value`[get, set]`
| Vector3型の値。 More...
Rect | rectValue`[get, set]`
| Rect型の値。 More...
Bounds | boundsValue`[get, set]`
| Bounds型の値。 More...
Color | colorValue`[get, set]`
| Bounds型の値。 More...
GameObject | gameObjectValue`[get, set]`
| GameObject型の値。 More...
Component | componentValue`[get, set]`
| Component型の値。 More...
Transform | transformValue`[get, set]`
| Transform型の値。 More...
RectTransform | rectTransformValue`[get, set]`
| RectTransform型の値。 More...
Rigidbody | rigidbodyValue`[get, set]`
| Rigidbody型の値。 More...
Rigidbody2D | rigidbody2DValue`[get, set]`
| Rigidbody2D型の値。 More...
object | variableValue`[get, set]`
| Variable型の値。 More...
object | value`[get, set]`
| タイプに応じた値を取得する。 More...
Properties inherited from ParameterReference
ParameterReferenceType | type`[get]`
| ParameterContainerの参照タイプ More...
ParameterContainerBase | container`[get, set]`
| 格納しているコンテナ。 More...
virtual Parameter.? Type | referenceType`[get]`
| 参照するParameter.Typeを返す。 More...
Parameter? | parameter`[get]`
| パラメータを取得する。存在しない場合はnull。 More...

## Additional Inherited Members
Public Attributes inherited from ParameterReference
int | id
| ID。 More...
string | name
| パラメータ名。 More...

## Detailed Description

型を指定するパラメータ参照。

使用可能な属性 :

- ClassTypeConstraintAttribute
- SlotTypeAttribute

## Constructor & Destructor Documentation

## ◆ AnyParameterReference() [1/3]

AnyParameterReference | ( |  | ) |

AnyParameterReferenceの作成。

## ◆ AnyParameterReference() [2/3]

AnyParameterReference | ( | System.Type | parameterType | ) |

AnyParameterReferenceの作成。

Parameters

  parameterType | パラメータの型

## ◆ AnyParameterReference() [3/3]

AnyParameterReference | ( | ParameterReference | parameterReference | ) |

AnyParameterReferenceの作成。

Parameters

  parameterReference | コピー元のParameterReference

## Member Function Documentation

## ◆ GetVariable< TVariable >()

TVariable GetVariable< TVariable > | ( | TVariable | defaultValue = `default(TVariable)` | ) |

Variableの値を取得

Template Parameters

  TVariable | Variableの値の型

Parameters

  defaultValue | デフォルトの値。取得に失敗した場合に返される。

Returns
  Variableの値。取得に失敗した場合はdefaultValueを返す。

## ◆ SetVariable< TVariable >()

bool SetVariable< TVariable > | ( | TVariable | value | ) |

Variableの値を設定

Template Parameters

  TVariable | Variableの値の型

Parameters

  value | 値

## Property Documentation

## ◆ boolValue

bool boolValue
| get set

Bool型の値。

## ◆ boundsValue

Bounds boundsValue
| get set

Bounds型の値。

## ◆ colorValue

Color colorValue
| get set

Bounds型の値。

## ◆ componentValue

Component componentValue
| get set

Component型の値。

## ◆ enumIntValue

int enumIntValue
| get set

Enum型のint値。

## ◆ enumValue

System.Enum enumValue
| get set

Enum型の値。

## ◆ floatValue

float floatValue
| get set

Float型の値。

## ◆ gameObjectValue

GameObject gameObjectValue
| get set

GameObject型の値。

## ◆ intValue

int intValue
| get set

Int型の値。

## ◆ longValue

long longValue
| get set

Long型の値。

## ◆ parameterType

System.Type parameterType
| get set

パラメータの型

## ◆ rectTransformValue

RectTransform rectTransformValue
| get set

RectTransform型の値。

## ◆ rectValue

Rect rectValue
| get set

Rect型の値。

## ◆ rigidbody2DValue

Rigidbody2D rigidbody2DValue
| get set

Rigidbody2D型の値。

## ◆ rigidbodyValue

Rigidbody rigidbodyValue
| get set

Rigidbody型の値。

## ◆ transformValue

Transform transformValue
| get set

Transform型の値。

## ◆ value

object value
| get set

タイプに応じた値を取得する。

## ◆ variableValue

object variableValue
| get set

Variable型の値。

## ◆ vector2Value

Vector2 vector2Value
| get set

Vector2型の値。

## ◆ vector3Value

Vector3 vector3Value
| get set

Vector3型の値。